System.ServiceModel 4.0.0.0 System.Object System.Runtime.Serialization.DataContract

This class is abstract and cannot be instantiated directly.

An abstract class used as a base class for other formatters, (for example ).

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  A must have a associated with it. The can then write out the to an . The only way to associate a with a is by using this constructor.

  Creates a new instance of the class with the specified instance.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  This method verifies whether the start element name and namespace match the start element name and namespace of the RSS 2.0 or Atom 1.0 specification.

  Verifies whether the specified contains a valid syndication feed.

  true, if the XML reader contains a valid syndication feed, otherwise false.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationCategory `` To be added.

  The newly created instance is not automatically added to the instance used to create it.

  Creates a new instance of the class using the specified instance.

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationCategory `` To be added.

  The newly created instance is not automatically added to the instance used to create it.

  Creates a new instance of the class using the specified instance.

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationFeed

  The newly created instance is not automatically added to the instance used to create it.

  Creates a new instance of the class.

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationItem `` To be added.

  The newly created instance is not automatically added to the instance used to create it.

  Creates a new instance of the class using the specified instance.

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationLink `` To be added.

  The newly created instance is not automatically added to the instance used to create it.

  Creates a new instance of the class with the specified .

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationLink `` To be added.

  The newly created instance is not automatically added to the instance used to create it.

  Creates a new instance of the class with the specified .

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationPerson `` To be added.

  The newly created instance is not automatically added to the instance used to create it.

  Creates a new instance with the specified instance.

  A new instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationPerson `` To be added.

  The newly created instance is not automatically added to the instance used to create it.

  Creates a new instance with the specified instance.

  A new instance.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationFeed To be added.

  A is associated with the by passing in a instance to the constructor.

  Gets the associated with the formatter.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  The RSS 2.0 and Atom 1.0 specifications allow you to add custom element extensions to a syndication feed. This method allows you to read in these element extensions from an .

  Loads element extensions into the specified using the specified and maximum extension size.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  The RSS 2.0 and Atom 1.0 specifications allow you to add custom element extensions to a syndication feed. This method allows you to read in these element extensions from an .

  Loads element extensions into the specified using the specified and maximum extension size.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  The RSS 2.0 and Atom 1.0 specifications allow you to add custom element extensions to a syndication feed. This method allows you to read in these element extensions from an .

  Loads element extensions into the specified using the specified and maximum extension size.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  The RSS 2.0 and Atom 1.0 specifications allow you to add custom element extensions to a syndication feed. This method allows you to read in these element extensions from an .

  Loads element extensions into the specified using the specified and maximum extension size.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  The RSS 2.0 and Atom 1.0 specifications allow you to add custom element extensions to a syndication feed. This method allows you to read in these element extensions from an .

  Loads element extensions into the specified using the specified and maximum extension size.

- Method
  4.0.0.0
  System.Void `` To be added.

  Creates a new , associates it with the and reads the feed into the instance.

  Reads in a from the specified .

- Method
  4.0.0.0
  System.Void `` To be added.

  This method is protected and cannot be called from user code. To associate a instance with a , either create a new instance and pass the constructor a instance or load a instance into the by calling the method.

  Associates a instance with the .

- Method
  4.0.0.0
  System.String To be added.

  Gets a string representation of the instance.

  The instance.

- Method
  4.0.0.0
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added.

  To control how attribute extensions are parsed, derive your own class from and override the method.

  Attempts to parse an attribute extension using the specified instance.

  true if the attribute was parsed successfully; otherwise false.

- Method
  4.0.0.0
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added.

  To control how attribute extensions are parsed, derive your own class from and override the method.

  Attempts to parse an attribute extension using the specified instance.

  true if the attribute was parsed successfully; otherwise false.

- Method
  4.0.0.0
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added.

  To control how attribute extensions are parsed, derive your own class from and override the method.

  Attempts to parse an attribute extension using the specified instance.

  true if the attribute was parsed successfully; otherwise false.

- Method
  4.0.0.0
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added.

  To control how attribute extensions are parsed, derive your own class from and override the method.

  Attempts to parse an attribute extension using the specified instance.

  true if the attribute was parsed successfully; otherwise false.

- Method
  4.0.0.0
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added.

  To control how attribute extensions are parsed, derive your own class from and override the method.

  Attempts to parse an attribute extension using the specified instance.

  true if the attribute was parsed successfully; otherwise false.

- Method
  4.0.0.0
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added.

  To control how element extensions are parsed, derive your own class from and override the method.

  Attempts to parse an element extension using the specified instance.

  true if the element was parsed successfully; otherwise false.

- Method
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added.

  To control how element extensions are parsed, derive your own class from and override the method.

  Attempts to parse an element extension using the specified instance.

  true if the element was parsed successfully; otherwise false.

- Method
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added.

  To control how element extensions are parsed, derive your own class from and override the method.

  Attempts to parse an element extension using the specified instance.

  true if the element was parsed successfully; otherwise false.

- Method
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added.

  To control how element extensions are parsed, derive your own class from and override the method.

  Attempts to parse an element extension using the specified instance.

  true if the element was parsed successfully; otherwise false.

- Method
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added.

  To control how element extensions are parsed, derive your own class from and override the method.

  Attempts to parse an element extension using the specified instance.

  true if the element was parsed successfully; otherwise false.

- Property
  4.0.0.0
  System.String To be added.

  indigo1 supports the RSS 2.0 and Atom 1.0 specifications.

  Gets the syndication version of the formatter.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  To control how attribute extensions are written by the , derive a class from and override the method.

  Writes the attribute extensions in the instance to the specified in the specified syndication version.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  To control how attribute extensions are written by the , derive a class from and override the method.

  Writes the attribute extensions in the instance to the specified in the specified syndication version.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  To control how attribute extensions are written by the , derive a class from and override the method.

  Writes the attribute extensions in the instance to the specified in the specified syndication version.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  To control how attribute extensions are written by the , derive a class from and override the method.

  Writes the attribute extensions in the instance to the specified in the specified syndication version.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  To control how attribute extensions are written by the , derive a class from and override the method.

  Writes the attribute extensions in the instance to the specified in the specified syndication version.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  To control how element extensions are written by the , derive a class from and override the method.

  Writes the element extensions in the instance to the specified in the specified syndication version.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  To control how element extensions are written by the , derive a class from and override the method.

  Writes the element extensions in the instance to the specified in the specified syndication version.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  To control how element extensions are written by the , derive a class from and override the method.

  Writes the element extensions in the instance to the specified in the specified syndication version.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  To control how element extensions are written by the , derive a class from and override the method.

  Writes the element extensions in the instance to the specified in the specified syndication version.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added.

  To control how element extensions are written by the , derive a class from and override the method.

  Writes the element extensions in the instance to the specified in the specified syndication version.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Writes the to the specified instance.